# Create a test-mode force capture

Allows the user to capture an arbitrary amount, also known as a forced capture.

## Request

```curl
curl https://api.stripe.com/v1/test_helpers/issuing/transactions/create_force_capture \
  -u "<<YOUR_SECRET_KEY>>" \
  -d amount=1000 \
  -d card={{CARD_ID}}
```

### Response

```json
{
  "id": "ipi_1GswaK2eZvKYlo2Co7wmNJhD",
  "object": "issuing.transaction",
  "amount": -1000,
  "amount_details": {
    "atm_fee": null,
    "cashback_amount": null
  },
  "authorization": "iauth_1GswaJ2eZvKYlo2Ct9mFMJ4S",
  "balance_transaction": "txn_1GswaK2eZvKYlo2CJAFFIuHg",
  "card": "ic_1Gswa82eZvKYlo2CP2jveFil",
  "cardholder": "ich_1Gswa82eZvKYlo2CvobneLSo",
  "created": 1591905672,
  "currency": "usd",
  "dispute": null,
  "livemode": false,
  "merchant_amount": -1000,
  "merchant_currency": "usd",
  "merchant_data": {
    "category": "computer_software_stores",
    "category_code": "5734",
    "city": "SAN FRANCISCO",
    "country": "US",
    "name": "STRIPE.COM",
    "network_id": "1234567890",
    "postal_code": "94103",
    "state": "CA",
    "terminal_id": null
  },
  "metadata": {
    "order_id": "6735"
  },
  "redaction": null,
  "type": "capture",
  "wallet": null
}
```

## Returns

A Transaction object

## Parameters

- `amount` (integer, required)
  The total amount to attempt to capture. This amount is in the provided currency, or defaults to the cards currency, and in the [smallest currency unit](https://docs.stripe.com/currencies.md#zero-decimal).

- `card` (string, required)
  Card associated with this transaction.

- `currency` (enum, optional)
  The currency of the capture. If not provided, defaults to the currency of the card. Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://docs.stripe.com/currencies.md).

- [`merchant_data`](https://docs.stripe.com/api/issuing/transactions/test_mode_create_force_capture.md?query=merchant_data) (object, optional)
  Details about the seller (grocery store, e-commerce website, etc.) where the card authorization happened.

- [`purchase_details`](https://docs.stripe.com/api/issuing/transactions/test_mode_create_force_capture.md?query=purchase_details) (object, optional)
  Additional purchase information that is optionally provided by the merchant.
